Subject: Re: [stable 2.6.32.y PATCH 0/6] net: fixes for cached dsts are never invalidated

From: Benjamin LaHaise <[email-masked]>
Date: Fri, 19 Oct 2012 17:03:33 -0400

On Fri, Oct 19, 2012 at 10:53:00PM +0200, Willy Tarreau wrote:
> I see. Then users will have the same issue when upgrading from 2.6.32 to 3.0.
> 
> OK let's bisect the situation :
>   - current 2.6.32 users are facing a routing bug that needs be fixed.
> 
>   - 2.6.34 and onwards do not have this bug but are probably affected by
>     lower performance due to the minimal fix.

Argh, sorry (too many patches in flight), it looks like just cherry picking 
d11a4dc18bf41719c9f0d7ed494d295dd2973b92 is okay.  It does have the 
rt_is_expired() changes, so it should not have much of a performance 
regression.  So going with only this change is probably the way to go 
for now.

		-ben